# Class PointerInfo

java.lang.Object
java.awt.PointerInfo

public final class PointerInfo extends Object
A class that describes the pointer position. It provides the `GraphicsDevice` where the pointer is and the `Point` that represents the coordinates of the pointer.

Instances of this class should be obtained via `MouseInfo.getPointerInfo()`. The `PointerInfo` instance is not updated dynamically as the mouse moves. To get the updated location, you must call `MouseInfo.getPointerInfo()` again.

Since:
  1.5
See Also:
  - `MouseInfo.getPointerInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GraphicsDevice`
  `getDevice()`
  Returns the `GraphicsDevice` where the mouse pointer was at the moment this `PointerInfo` was created.
  `Point`
  `getLocation()`
  Returns the `Point` that represents the coordinates of the pointer on the screen.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### getDevice

    public GraphicsDevice getDevice()
    Returns the `GraphicsDevice` where the mouse pointer was at the moment this `PointerInfo` was created.
    Returns:
      `GraphicsDevice` corresponding to the pointer
    Since:
      1.5

  - ### getLocation

    public Point getLocation()
    Returns the `Point` that represents the coordinates of the pointer on the screen. See `MouseInfo.getPointerInfo()` for more information about coordinate calculation for multiscreen systems.
    Returns:
      coordinates of mouse pointer
    Since:
      1.5
    See Also:
      - `MouseInfo`
      - `MouseInfo.getPointerInfo()`